com.google.gwt.resources.client

## Class ResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.google.gwt.resources.client.ResourceException

All Implemented Interfaces:
  java.io.Serializable

    public class ResourceException
    extends java.lang.Exception

Associates a `ResourcePrototype` with a program error.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ResourceException(ResourcePrototype resource)`
`ResourceException(ResourcePrototype resource, java.lang.String msg)`
`ResourceException(ResourcePrototype resource, java.lang.String msg, java.lang.Throwable t)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ResourcePrototype` `getResource()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResourceException

    public ResourceException(ResourcePrototype resource)

#### ResourceException

    public ResourceException(ResourcePrototype resource,
                             java.lang.String msg)

#### ResourceException

    public ResourceException(ResourcePrototype resource,
                             java.lang.String msg,
                             java.lang.Throwable t)

### Method Detail

#### getResource

    public ResourcePrototype getResource()